import { FitsStructure } from "./fits-structure";
declare abstract class Filter {
    static basicFilter(structure: FitsStructure): Filter;
    filter(value: number): number;
}
export declare class PrimaryHDU {
    private static getFileBuffer;
    static fromFile(fileName: string): Promise<PrimaryHDU>;
    private readonly fileName;
    private primaryHDU;
    private structures;
    private images;
    private stats;
    constructor(fileName: string);
    load(): Promise<this>;
    getHdu(): FitsStructure;
    getStructure(layerNum: number): FitsStructure;
    getStructures(): FitsStructure[];
    getImageStructures(): FitsStructure[];
    getLayerStats(layerNum: number): {
        min: number;
        max: number;
        median: number;
        mean: number;
        stdDev: number;
    };
    filterLayer(layerNum: number, filter?: Filter): number[];
}
export {};
